Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510967 - [abrt] dnf: _add_install(): history.py:209:_add_install:ValueError: NEVRA was already installed: biber-0:2.6-4.fc26.noarch
Summary: [abrt] dnf: _add_install(): history.py:209:_add_install:ValueError: NEVRA was...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d657ddc2a4d630ac25714dc6a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 13:37 UTC by Thomas Daniell
Modified: 2018-09-24 17:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-24 17:36:54 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-08 13:37 UTC, Thomas Daniell
no flags Details
File: cgroup (deleted)
2017-11-08 13:37 UTC, Thomas Daniell
no flags Details
File: cpuinfo (deleted)
2017-11-08 13:37 UTC, Thomas Daniell
no flags Details
File: dnf-makecache.log (deleted)
2017-11-08 13:37 UTC, Thomas Daniell
no flags Details
File: environ (deleted)
2017-11-08 13:37 UTC, Thomas Daniell
no flags Details
File: mountinfo (deleted)
2017-11-08 13:38 UTC, Thomas Daniell
no flags Details
File: namespaces (deleted)
2017-11-08 13:38 UTC, Thomas Daniell
no flags Details
File: open_fds (deleted)
2017-11-08 13:38 UTC, Thomas Daniell
no flags Details

Description Thomas Daniell 2017-11-08 13:37:42 UTC
Description of problem:
When installing texlive-scheme-full gnome-terminal appeared to crash (but with no core dump) causing DNF to terminate unexpectedly (likely leaving dnf in an inconsistent state). I ran the command a second time after restarting but only the last 200 or so packages which weren't installed were installed and verified. DNF crashed with a ValueError when attempting to rollback the history to before the first install of texlive-scheme-full (which was unsuccessful). Can likely be reproduced by attempting to install any package, interrupting it mid install and then doing dnf history rollback.

Version-Release number of selected component:
dnf-2.7.5-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/libexec/system-python /bin/dnf history rollback 55
crash_function: _add_install
exception_type: ValueError
executable:     /bin/dnf
kernel:         4.13.11-200.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
history.py:209:_add_install:ValueError: NEVRA was already installed: biber-0:2.6-4.fc26.noarch

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1011, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/__init__.py", line 980, in run
    ret = self._hcmd_rollback(self.transaction_ids)
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/__init__.py", line 894, in _hcmd_rollback
    return self.base.history_rollback_transaction(extcmds[0])
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 606, in history_rollback_transaction
    operations += history.transaction_nevra_ops(id_)
  File "/usr/lib/python3.6/site-packages/dnf/history.py", line 144, in __add__
    result.add(state, nevra, replaced_nevra, obsoleted_nevras)
  File "/usr/lib/python3.6/site-packages/dnf/history.py", line 377, in add
    self._add_install(nevra)
  File "/usr/lib/python3.6/site-packages/dnf/history.py", line 209, in _add_install
    raise ValueError('NEVRA was already installed: %s' % new_nevra)
ValueError: NEVRA was already installed: biber-0:2.6-4.fc26.noarch

Local variables in innermost frame:
state: 'Reinstall'
new_nevra: 'biber-0:2.6-4.fc26.noarch'
self: <dnf.history.NEVRAOperations object at 0x7f8692f6b1d0>

Comment 1 Thomas Daniell 2017-11-08 13:37:51 UTC
Created attachment 1349448 [details]
File: backtrace

Comment 2 Thomas Daniell 2017-11-08 13:37:53 UTC
Created attachment 1349449 [details]
File: cgroup

Comment 3 Thomas Daniell 2017-11-08 13:37:55 UTC
Created attachment 1349450 [details]
File: cpuinfo

Comment 4 Thomas Daniell 2017-11-08 13:37:56 UTC
Created attachment 1349452 [details]
File: dnf-makecache.log

Comment 5 Thomas Daniell 2017-11-08 13:37:58 UTC
Created attachment 1349453 [details]
File: environ

Comment 6 Thomas Daniell 2017-11-08 13:38:00 UTC
Created attachment 1349454 [details]
File: mountinfo

Comment 7 Thomas Daniell 2017-11-08 13:38:01 UTC
Created attachment 1349455 [details]
File: namespaces

Comment 8 Thomas Daniell 2017-11-08 13:38:03 UTC
Created attachment 1349456 [details]
File: open_fds

Comment 9 Fedora End Of Life 2018-05-03 08:14:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Jan Kurik 2018-08-14 10:17:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 11 Jaroslav Mracek 2018-09-24 17:36:54 UTC
The problem should be fixed in dnf-3.6.0


Note You need to log in before you can comment on or make changes to this bug.